# ifndef KingTestCase_h
# define KingTestCase_h
#include "TestHeader.h"
# include "Pieces/King.h"
class KingTestCase:
  public TestCase
{
public:
  CPPUNIT_TEST_SUITE( KingTestCase );
  CPPUNIT_TEST( moveGeneration );
  CPPUNIT_TEST( captures );
  CPPUNIT_TEST( testAttacks );
  CPPUNIT_TEST_SUITE_END();
protected:
  void moveGeneration();
  void captures();
  void testAttacks();
};
#endif
